<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire:  Fichier source de src/configuration.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">configuration.c</div>  </div>
</div><!--header-->
<div class="contents">
<a href="configuration_8c.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &quot;configuration.h&quot;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">//------------------------------------------------------------//</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//                           Structure                        //</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//------------------------------------------------------------//</span></div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="structconfiguration.html">   32</a></span>&#160;<span class="comment"></span><span class="keyword">struct </span><a class="code" href="structconfiguration.html">configuration</a> {</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="structconfiguration.html#a4c2a28574421b356a94b2986af8cbd1f">   33</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="structconfiguration.html#a4c2a28574421b356a94b2986af8cbd1f">etat_gauche</a>;</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="structconfiguration.html#ab87fd09c380492db266c031c063e903e">   34</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="structconfiguration.html#ab87fd09c380492db266c031c063e903e">etat_centre</a>;</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="structconfiguration.html#af4a4f6949170c15a38caed135c60f02a">   35</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="structconfiguration.html#af4a4f6949170c15a38caed135c60f02a">etat_droite</a>;</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="structconfiguration.html#abf5d66a5150f63e202481a01797671f1">   36</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="structconfiguration.html#abf5d66a5150f63e202481a01797671f1">etat_sortie</a>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;};</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">//------------------------------------------------------------//</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment">//                        Constructeur                        //</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment">//------------------------------------------------------------//</span></div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="configuration_8c.html#a2da1ecaa0c8bee5b0de11c7a0cf25376">   48</a></span>&#160;<span class="comment"></span>ptr_str_conf <a class="code" href="configuration_8c.html#a2da1ecaa0c8bee5b0de11c7a0cf25376">creer_configuration</a>(){</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  ptr_str_conf ptr = (ptr_str_conf)malloc( <span class="keyword">sizeof</span>(<span class="keyword">struct</span> <a class="code" href="structconfiguration.html">configuration</a>) );</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <span class="keywordflow">if</span>(ptr == NULL) {</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;     fprintf(stderr, <span class="stringliteral">&quot;L&#39;allocation memoire a echoue.&quot;</span>);</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;     exit(EXIT_FAILURE);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  }</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  ptr-&gt;etat_gauche = 0;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;  ptr-&gt;etat_centre = 0;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  ptr-&gt;etat_droite = 0;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  ptr-&gt;etat_sortie = 0;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <span class="keywordflow">return</span> ptr;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;}</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="comment">//------------------------------------------------------------//</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="comment">//                        Initialisation                      //</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="comment">//------------------------------------------------------------//</span></div>
<div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="configuration_8c.html#a8683ab4db526e75f84e627323f8a4b01">   73</a></span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="configuration_8c.html#a8683ab4db526e75f84e627323f8a4b01">init_configuration_entree</a>(ptr_str_conf ptr, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> gauche, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> centre, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> droite){</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  ptr-&gt;etat_gauche = gauche;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  ptr-&gt;etat_centre = centre;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  ptr-&gt;etat_droite = droite;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;}</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160; </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="configuration_8c.html#ab6f7671e46ec27554e8ab5da3a87e71d">   86</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="configuration_8c.html#ab6f7671e46ec27554e8ab5da3a87e71d">init_configuration_sortie</a>(ptr_str_conf ptr, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> sortie){</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  ptr-&gt;etat_sortie = sortie;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;}</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="comment">//------------------------------------------------------------//</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="comment">//                         Accesseurs                         //</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="comment">//------------------------------------------------------------//</span></div>
<div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="configuration_8c.html#aa857710a78f4427585c4014ea25ad263">  100</a></span>&#160;<span class="comment"></span><span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="configuration_8c.html#aa857710a78f4427585c4014ea25ad263">get_etat_gauche</a>( ptr_str_conf ptr ){</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  <span class="keywordflow">return</span> ptr-&gt;etat_gauche;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;}</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160; </div>
<div class="line"><a name="l00111"></a><span class="lineno"><a class="line" href="configuration_8c.html#a186fea29942ab35b744e99b54d731d23">  111</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="configuration_8c.html#a186fea29942ab35b744e99b54d731d23">get_etat_centre</a>( ptr_str_conf ptr ){</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <span class="keywordflow">return</span> ptr-&gt;etat_centre;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;}</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160; </div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160; </div>
<div class="line"><a name="l00122"></a><span class="lineno"><a class="line" href="configuration_8c.html#a864b89b01c028493f6b7c31523277806">  122</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="configuration_8c.html#a864b89b01c028493f6b7c31523277806">get_etat_droite</a>( ptr_str_conf ptr ){</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;  <span class="keywordflow">return</span> ptr-&gt;etat_droite;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;}</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160; </div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160; </div>
<div class="line"><a name="l00133"></a><span class="lineno"><a class="line" href="configuration_8c.html#a9555a26a5ba14b904e676207072cc5af">  133</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="configuration_8c.html#a9555a26a5ba14b904e676207072cc5af">get_etat_sortie</a>( ptr_str_conf ptr ){</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;  <span class="keywordflow">return</span> ptr-&gt;etat_sortie;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;}</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160; </div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160; </div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="comment">//------------------------------------------------------------//</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="comment">//                       Autres Fonctions                     //</span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="comment">//------------------------------------------------------------//</span></div>
<div class="line"><a name="l00150"></a><span class="lineno"><a class="line" href="configuration_8c.html#ab64d6ac48d2c2034a1f505bc2d174154">  150</a></span>&#160;<span class="comment"></span><span class="keywordtype">bool</span> <a class="code" href="configuration_8c.html#ab64d6ac48d2c2034a1f505bc2d174154">cmp_conf</a>(ptr_str_conf conf1, ptr_str_conf conf2){</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;  <span class="keywordflow">return</span> conf1-&gt;etat_gauche == conf2-&gt;etat_gauche &amp;&amp; conf1-&gt;etat_centre == conf2-&gt;etat_centre &amp;&amp; conf1-&gt;etat_droite == conf2-&gt;etat_droite;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;}</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160; </div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160; </div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="comment">//------------------------------------------------------------//</span></div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="comment">//                          Affichage                         //</span></div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="comment">//------------------------------------------------------------//</span></div>
<div class="line"><a name="l00163"></a><span class="lineno"><a class="line" href="configuration_8c.html#ad6bae512bff79422335f1132a8ac5695">  163</a></span>&#160;<span class="comment"></span><span class="keywordtype">void</span> <a class="code" href="configuration_8c.html#ad6bae512bff79422335f1132a8ac5695">afficher_configuration_elementaire</a>( ptr_str_conf ptr){</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;  printf(<span class="stringliteral">&quot;Gauche: %u |&quot;</span>, ptr-&gt;etat_gauche);</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;  printf(<span class="stringliteral">&quot;Centre: %u |&quot;</span>, ptr-&gt;etat_centre);</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;  printf(<span class="stringliteral">&quot;Droite: %u |&quot;</span>, ptr-&gt;etat_droite);</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;  printf(<span class="stringliteral">&quot;Sortie: %u \n&quot;</span>, ptr-&gt;etat_sortie);</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;}</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160; </div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160; </div>
<div class="line"><a name="l00177"></a><span class="lineno"><a class="line" href="configuration_8c.html#a0142d10519eacf9f6489fc21cdcaa759">  177</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="configuration_8c.html#a0142d10519eacf9f6489fc21cdcaa759">afficher_configuration_multiple</a>( ptr_str_conf ptr, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> indice){</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;  printf(<span class="stringliteral">&quot;Indice : %u |&quot;</span>, indice);</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;  printf(<span class="stringliteral">&quot;Sortie: %u \n&quot;</span>, ptr-&gt;etat_sortie);</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aconfiguration_8c_html_a2da1ecaa0c8bee5b0de11c7a0cf25376"><div class="ttname"><a href="configuration_8c.html#a2da1ecaa0c8bee5b0de11c7a0cf25376">creer_configuration</a></div><div class="ttdeci">ptr_str_conf creer_configuration()</div><div class="ttdoc">Créer une structure configuration en initialisant ses valeurs à 0.</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00048">configuration.c:48</a></div></div>
<div class="ttc" id="aconfiguration_8c_html_a864b89b01c028493f6b7c31523277806"><div class="ttname"><a href="configuration_8c.html#a864b89b01c028493f6b7c31523277806">get_etat_droite</a></div><div class="ttdeci">unsigned int get_etat_droite(ptr_str_conf ptr)</div><div class="ttdoc">Retourne l'attribut etat_droite.</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00122">configuration.c:122</a></div></div>
<div class="ttc" id="aconfiguration_8c_html_a8683ab4db526e75f84e627323f8a4b01"><div class="ttname"><a href="configuration_8c.html#a8683ab4db526e75f84e627323f8a4b01">init_configuration_entree</a></div><div class="ttdeci">void init_configuration_entree(ptr_str_conf ptr, unsigned int gauche, unsigned int centre, unsigned int droite)</div><div class="ttdoc">Initialise les valeurs pour une structure configuration donnée.</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00073">configuration.c:73</a></div></div>
<div class="ttc" id="astructconfiguration_html_af4a4f6949170c15a38caed135c60f02a"><div class="ttname"><a href="structconfiguration.html#af4a4f6949170c15a38caed135c60f02a">configuration::etat_droite</a></div><div class="ttdeci">unsigned int etat_droite</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00035">configuration.c:35</a></div></div>
<div class="ttc" id="astructconfiguration_html"><div class="ttname"><a href="structconfiguration.html">configuration</a></div><div class="ttdoc">Une configuration.</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00032">configuration.c:32</a></div></div>
<div class="ttc" id="astructconfiguration_html_a4c2a28574421b356a94b2986af8cbd1f"><div class="ttname"><a href="structconfiguration.html#a4c2a28574421b356a94b2986af8cbd1f">configuration::etat_gauche</a></div><div class="ttdeci">unsigned int etat_gauche</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00033">configuration.c:33</a></div></div>
<div class="ttc" id="aconfiguration_8c_html_aa857710a78f4427585c4014ea25ad263"><div class="ttname"><a href="configuration_8c.html#aa857710a78f4427585c4014ea25ad263">get_etat_gauche</a></div><div class="ttdeci">unsigned int get_etat_gauche(ptr_str_conf ptr)</div><div class="ttdoc">Retourne l'attribut etat_gauche.</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00100">configuration.c:100</a></div></div>
<div class="ttc" id="aconfiguration_8c_html_a186fea29942ab35b744e99b54d731d23"><div class="ttname"><a href="configuration_8c.html#a186fea29942ab35b744e99b54d731d23">get_etat_centre</a></div><div class="ttdeci">unsigned int get_etat_centre(ptr_str_conf ptr)</div><div class="ttdoc">Retourne l'attribut etat_centre.</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00111">configuration.c:111</a></div></div>
<div class="ttc" id="aconfiguration_8c_html_a9555a26a5ba14b904e676207072cc5af"><div class="ttname"><a href="configuration_8c.html#a9555a26a5ba14b904e676207072cc5af">get_etat_sortie</a></div><div class="ttdeci">unsigned int get_etat_sortie(ptr_str_conf ptr)</div><div class="ttdoc">Retourne l'attribut etat_sortie.</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00133">configuration.c:133</a></div></div>
<div class="ttc" id="astructconfiguration_html_ab87fd09c380492db266c031c063e903e"><div class="ttname"><a href="structconfiguration.html#ab87fd09c380492db266c031c063e903e">configuration::etat_centre</a></div><div class="ttdeci">unsigned int etat_centre</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00034">configuration.c:34</a></div></div>
<div class="ttc" id="aconfiguration_8c_html_ab64d6ac48d2c2034a1f505bc2d174154"><div class="ttname"><a href="configuration_8c.html#ab64d6ac48d2c2034a1f505bc2d174154">cmp_conf</a></div><div class="ttdeci">bool cmp_conf(ptr_str_conf conf1, ptr_str_conf conf2)</div><div class="ttdoc">Compare uniquement les valeurs des états de gauche, du centre et de droite entre conf1 et conf2.</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00150">configuration.c:150</a></div></div>
<div class="ttc" id="aconfiguration_8c_html_ad6bae512bff79422335f1132a8ac5695"><div class="ttname"><a href="configuration_8c.html#ad6bae512bff79422335f1132a8ac5695">afficher_configuration_elementaire</a></div><div class="ttdeci">void afficher_configuration_elementaire(ptr_str_conf ptr)</div><div class="ttdoc">Affiche les attributs d'une configuration.</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00163">configuration.c:163</a></div></div>
<div class="ttc" id="astructconfiguration_html_abf5d66a5150f63e202481a01797671f1"><div class="ttname"><a href="structconfiguration.html#abf5d66a5150f63e202481a01797671f1">configuration::etat_sortie</a></div><div class="ttdeci">unsigned int etat_sortie</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00036">configuration.c:36</a></div></div>
<div class="ttc" id="aconfiguration_8c_html_a0142d10519eacf9f6489fc21cdcaa759"><div class="ttname"><a href="configuration_8c.html#a0142d10519eacf9f6489fc21cdcaa759">afficher_configuration_multiple</a></div><div class="ttdeci">void afficher_configuration_multiple(ptr_str_conf ptr, unsigned int indice)</div><div class="ttdoc">Affiche une configuration à plus de 2 états.</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00177">configuration.c:177</a></div></div>
<div class="ttc" id="aconfiguration_8c_html_ab6f7671e46ec27554e8ab5da3a87e71d"><div class="ttname"><a href="configuration_8c.html#ab6f7671e46ec27554e8ab5da3a87e71d">init_configuration_sortie</a></div><div class="ttdeci">void init_configuration_sortie(ptr_str_conf ptr, unsigned int sortie)</div><div class="ttdoc">Initialise la valeurs de sortie pour une structure configuration donnée.</div><div class="ttdef"><b>Definition:</b> <a href="configuration_8c_source.html#l00086">configuration.c:86</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
